Skip to Content
Retrieve a video thumbnail
get

Fetch a thumbnail image from a video at a specified time with optional transformations.

Request path & query params
PLAYBACK_ID
string

The asset or live stream's playback ID.

TOKEN
string

Signed token (JWT) for secure video playback.

EXTENSION
string
Possible values: "jpg""png""webp"

The image file extension, either 'jpg', 'png', or 'webp'.

time
number

The time (in seconds) of the video timeline where the image should be pulled. Defaults to the middle of the original video.

width
integer

The width of the thumbnail (in pixels). Defaults to the width of the original video.

height
integer

The height of the thumbnail (in pixels). Defaults to the height of the original video.

rotate
integer

Rotate the image clockwise by the given number of degrees.

fit_mode
string
Possible values: "preserve""stretch""crop""smartcrop""pad"

How to fit a thumbnail within the specified width + height.

flip_v
boolean

Flip the image top-bottom after performing all other transformations.

flip_h
boolean

Flip the image left-right after performing all other transformations.

program_time
integer

Set the time of the thumbnail for an asset created from a live stream when using the instant clipping feature. The timestamp should be provided as an epoch integer, and is compared to the program date time (PDT) generated by a live stream.

latest
boolean

When set to true, pulls the latest thumbnail from the playback ID of an ongoing live stream. Can only be used with live streams. Can be used to build moderation and classification workflows, see documentation for more details.

get
200
https://image.mux.com/{PLAYBACK_ID}/thumbnail.{EXTENSION}